.TH HOSTNAME 1 "15 Mars 1999" "net-tools" "Linux Programmer's Manual"
.SH NOM
hostname \- affiche ou dfinit le nom d'hte du systme
.br
domainname \- affiche le nom de domaine NIS/YP du systme
.br
dnsdomainname \- affiche le nom de domaine du systme
.br
nisdomainname \- affiche ou dfinit le nom de domaine NIS/YP du systme
.br
ypdomainname \- affiche ou dfinit le nom de domaine NIS/YP du systme
.br
nodename \- affiche ou dfinit le nom de domaine DECnet du systme

.SH SYNOPSIS
.B hostname
.RB [ \-v ]
.RB [ \-a ]
.RB [ \-\-alias ]
.RB [ \-d ]
.RB [ \-\-domain ]
.RB [ \-f ]
.RB [ \-\-fqdn ]
.RB [ \-i ]
.RB [ \-\-ip-address ]
.RB [ \-\-long ]
.RB [ \-s ]
.RB [ \-\-short ]
.RB [ \-y ]
.RB [ \-\-yp ]
.RB [ \-\-nis ]
.RB [ \-n ]
.RB [ \-\-node ]

.PP
.B hostname 
.RB [ \-v ]
.RB [ \-F\ nom_fichier ]
.RB [ \-\-file\ nom_fichier ]
.RB [ hostname ]

.PP
.B domainname
.RB [ \-v ]
.RB [ \-F\ nom_fichier ]
.RB [ \-\-file\ nom_fichier ]
.RB [ name ]

.PP 
.B nodename
.RB [ \-v ]
.RB [ \-F\ nom_fichier ]
.RB [ \-\-file\ nom_fichier ]
.RB [ name ]

.PP
.B hostname
.RB [ \-v ]
.RB [ \-h ]
.RB [ \-\-help ]
.RB [ \-V ]
.RB [ \-\-version ]

.PP
.B dnsdomainname
.RB [ \-v ]
.br
.B nisdomainname
.RB [ \-v ]
.br
.B ypdomainname
.RB [ \-v ]

.SH DESCRIPTION
.B Hostname
est le programme utilis soit pour dfinir le nom d'hte, soit
pour visualiser le nom d'hte ou de domaine du systme. Ce nom est
utilis par diffrents programmes rseaux pour identifier la machine. Le
nom de domaine est galement utilis par les NIS/YP.

.SS "OBTENTION DU NOM"
Appel sans argument, le programme affiche les noms courants:

.LP
.B hostname
fournit le nom du systme tel qu'il est retourn par la fonction
.BR getdomainname (2)
. Ceci est connu comme nom de domaine YP/NIS du systme.


.LP
.B nodename
fournit le nom de noeud DECnet du systme tel qu'il est retourn par la
fonction
.BR getnodename (2)
.

.LP
.B dnsdomainname
fournit la partie domaine du nom compltement qualifi - FQDN (Fully
Qualified Domain Name). Le nom FQDN du systme est retourn par la commande
.BR "hostname \-\-fqdn" .

.SS "SET NAME"
Appel avec un argument ou avec l'option
.B \-\-file
, la commande dfinit le nom d'hte, le nom de domaine NIS/YP ou
le nom de noeud. 

.LP
Notez que seul le super-utilisateur peut changer les noms.

.LP
Il n'est pas possible de dfinir le nom FQDN ou le nom de domaine DNS avec
la commande 
.B dnsdomainname 
 (voir 
.B "LE FQDN"
ci-dessous).

.LP
Le nom d'hte est gnrallement dfinit une seule fois, au
dmarrage du systme, par le script de configuration
.I /etc/rc.d/rc.inet1.
ou
.I /etc/init.d/boot
(normallement en lisant un fichier contenant ce nom, p.ex. 
.IR /etc/hostname ).

.SS LE FQDN
Vous pouvez modifier le FQDN (tel que fourni par la commande 
.BR "hostname \-\-fqdn" ) 
ou le nom de domaine DNS (tel que fourni par la commande
.BR "dnsdomainname" ) 
avec cette commande. Le FQDN du systme est le nom que le resolveur (
.BR resolver (3)
 ) retourne comme nom d'hte. 

.LP
Techniquement: Le FQDN est le nom fourni par
.BR gethostbyname (2)
 partir du nom d'hte retourn par
.BR gethostname (2).
Le nom de domaine DNS est la partie suivant le premier point.
.LP
La faon dont vous pouvez le changer dpend de la configuration
(habituellement dans 
.IR /etc/host.conf )
. Si le fichier 'hosts' est analys avant d'interroger le DNS ou 
NIS) vous pouvez le changer dans le fichier 
.IR /etc/hosts .

.SH OPTIONS
.TP
.I "\-a, \-\-alias"
Affiche l'alias de l'hte (si utilis).
.TP
.I "\-d, \-\-domain"
Affiche le nom du domaine DNS. Ne pas utiliser la commande
.B domainname
pour obtenir le nom de domaine DNS car vous obtiendrez en ralit le
nom de domaine NIS. Utilisez plutt la commande
.B dnsdomainname 
.
.TP
.I "\-F, \-\-file nom_fichier"
Lit le nom d'hte  partir du fichier spcifi. Les commentaires (lignes commenant
par un `#') sont ignors.
.TP
.I "\-f, \-\-fqdn, \-\-long"
Affiche le nom pleinement qualifi - FQDN (Fully Qualified Domain Name). un
FQDN consiste en un nom d'hte court et un nom de domaine. A moins que vous
utilisiez 'bind' ou les NIS pour la recherche d'htes, vous pouvez changer
le nom FQDN et le nom de domaine (qui fait partie du FQDN) dans le fichier
\fI/etc/hosts\fR.
.TP
.I "\-h, \-\-help"
Affiche un message d'aide et se termine.
.TP
.I "\-i, \-\-ip-address"
Affiche la (les) adresse(s) IP de l'hte.
.TP
.I "\-n, \-\-node"
Affiche le nom de noeud DECnet. Si un paramtre est fourni (ou
.B \-\-file nom_fichier
) le super-utilisateur peut galement dfinir un nouveau nom de neud.
.TP
.I "\-s, \-\-short"
Affiche le nom d'hte en format court. Il s'agit du nom d'hte coup au
premier point.
.TP
.I "\-V, \-\-version"
Affiche les informations sur la version sur la sortie standard et se
termine correctement.
.TP
.I "\-v, \-\-verbose"
Mode verbeux.
.TP
.I "\-y, \-\-yp, \-\-nis"
Affiche le nom de domaine NIS. Si un paramtre est fourni (ou
.B \-\-file nom_fichier
) le super-utilisateur peut galement dfinir un nouveau nom de domaine NIS.
.SH FICHIERS
.B /etc/hosts
.SH AUTEURS
Peter Tobias, <tobias@et-inf.fho-emden.de>
.br
Bernd Eckenfels, <net-tools@lina.inka.de> (NIS et pages de manuel).
.br
Steve Whitehouse, <SteveW@ACM.org> (Support DECnet et pages de manuel).
.SH TRADUCTION
Jean Michel VANSTEENE (vanstee@worldnet.fr)
